Subject: Re: [PATCH] scsi/ipr: Fix runaway IRQs when falling back from MSI to LSI

From: "Martin K. Petersen" <[email-masked]>
Date: Tue, 29 Nov 2016 11:58:38 -0500

>>>>> "Benjamin" == Benjamin Herrenschmidt <[email-masked]> writes:

Benjamin> LSIs must be ack'ed with an MMIO otherwise they remain
Benjamin> asserted forever. This is controlled by the "clear_isr" flag.

Benjamin> While we set that flag properly when deciding initially
Benjamin> whether to use LSIs or MSIs, we fail to set it if we first
Benjamin> chose MSIs, the test fails, then fallback to LSIs.

Brian: Please review!

-- 
Martin K. Petersen	Oracle Linux Engineering